﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
DATE:                  2011-02-07 07:08:54
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       266
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, ZY, DAC, CAD
#
#  Model(s) Covered:
#        Agilent MSO/DSO 6000 Series: MSO/DSO6012A, MSO/DSO6032A,
#         MSO/DSO6052A, MSO/DSO6014A, MSO/DSO6034A, MSO/DSO6054A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub AT MSO/DSO6xxx Select Channel
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub AT MSO/DSO6xxx Select Channel

# If TAR mode is selected, set NTHROW = to zero to reduce execution time.
  1.002  IF           ZCMPI(@MeasMode, "TAR")
  1.003  VSET         NTHROW = 0
  1.004  ENDIF

# Two measurements are taken per test point. One at the full scale value
# the other at zero volts. This is done to remove any voltage offset from
# the gain value being tested. This is also the way it is done in the OEM
# manual. Lastly, in the manual the voltage markers are used to perform
# the measurements. Marker control is not available over the bus so the
# V Average function is used instead. Note also that only the markers are
# are specified for their accuracy. This procedure assumes that the
# V Average function shares the same accuracy as the marker functions.
# GCM 18 Dec 2005.
#
# This procedure was determined to be valid per Matt Langenbahn and
# Steve Pelelo of Agilent Technologies. GCM 18 Jan 2006.

  1.005  IF           @Chan == 1
  1.006  RSLT         =
  1.007  HEAD         {VOLTAGE MEASUREMENT ACCURACY}
  1.008  ELSE
  1.009  HEAD         VOLTAGE MEASUREMENT ACCURACY
  1.010  ENDIF

  1.011  RSLT         =
  1.012  HEAD         -2 {Channel [V @Chan]}: 5 V/div
  1.013  TARGET       -p
  1.014  TSET         CPT = 5 V/div
  1.015  SCPI         ACQ:MODE ETIME;TYPE AVERAGE;COUNT 64
  1.016  SCPI         MEAS:SOURCE CHAN[V @Chan]
  1.017  SCPI         TRIG:MODE EDGE;SWE AUTO;EDGE:SOUR LINE
  1.018  SCPI         CHAN[V @Chan]:SCAL 5V
  1.019  TARGET       -m
  1.020  SCPI         CHAN[V @Chan]:OFFS 0V
  1.021  9500         0.00V                                             S
  1.022  SCPI         [D500]MEAS:VAV?[I]
  1.023  MATH         L[1] = MEM
  1.024  SCPI         CHAN[V @Chan]:OFFS 35V
  1.025  9500         35.00V                                            S
  1.026  SCPI         [D500]MEAS:VAV?[I]
  1.027  MATH         MEM = MEM - L[1]
  1.028  MEMCX  40    35.00V         2/ 0.4/

  2.001  HEAD         -2 Channel [V @Chan]: 2 V/div
  2.002  TARGET       -p
  2.003  TSET         CPT = 2 V/div
  2.004  SCPI         CHAN[V @Chan]:SCAL 2V
  2.005  TARGET       -m
  2.006  SCPI         CHAN[V @Chan]:OFFS 0V
  2.007  9500         0.000V                                            S
  2.008  SCPI         [D500]MEAS:VAV?[I]
  2.009  MATH         L[1] = MEM
  2.010  SCPI         CHAN[V @Chan]:OFFS 14V
  2.011  9500         14.000V                                           S
  2.012  SCPI         [D500]MEAS:VAV?[I]
  2.013  MATH         MEM = MEM - L[1]
  2.014  MEMCX  16    14.000V        2/ 0.4/

  3.001  HEAD         -2 Channel [V @Chan]: 1 V/div
  3.002  TARGET       -p
  3.003  TSET         CPT = 1 V/div
  3.004  SCPI         CHAN[V @Chan]:SCAL 1V
  3.005  TARGET       -m
  3.006  SCPI         CHAN[V @Chan]:OFFS 0V
  3.007  9500         0.000V                                            S
  3.008  SCPI         [D500]MEAS:VAV?[I]
  3.009  MATH         L[1] = MEM
  3.010  SCPI         CHAN[V @Chan]:OFFS 7V
  3.011  9500         7.000V                                            S
  3.012  SCPI         [D500]MEAS:VAV?[I]
  3.013  MATH         MEM = MEM - L[1]
  3.014  MEMCX  8     7.000V         2/ 0.4/

  4.001  HEAD         -2 Channel [V @Chan]: 500 mV/div
  4.002  TARGET       -p
  4.003  TSET         CPT = 500 mV/div
  4.004  SCPI         CHAN[V @Chan]:SCAL 500mV
  4.005  TARGET       -m
  4.006  SCPI         CHAN[V @Chan]:OFFS 0V
  4.007  9500         0.000V                                            S
  4.008  SCPI         [D500]MEAS:VAV?[I]
  4.009  MATH         L[1] = MEM
  4.010  SCPI         CHAN[V @Chan]:OFFS 3.5V
  4.011  9500         3.500V                                            S
  4.012  SCPI         [D500]MEAS:VAV?[I]
  4.013  MATH         MEM = MEM - L[1]
  4.014  MEMCX  4     3.500V         2/ 0.4/

  5.001  HEAD         -2 Channel [V @Chan]: 200 mV/div
  5.002  TARGET       -p
  5.003  TSET         CPT = 200 mV/div
  5.004  SCPI         CHAN[V @Chan]:SCAL 200mV
  5.005  TARGET       -m
  5.006  SCPI         CHAN[V @Chan]:OFFS 0V
  5.007  9500         0.0000V                                           S
  5.008  SCPI         [D500]MEAS:VAV?[I]
  5.009  MATH         L[1] = MEM
  5.010  SCPI         CHAN[V @Chan]:OFFS 1.4V
  5.011  9500         1.4000V                                           S
  5.012  SCPI         [D500]MEAS:VAV?[I]
  5.013  MATH         MEM = MEM - L[1]
  5.014  MEMCX  1.6   1.4000V        2/ 0.4/

  6.001  HEAD         -2 Channel [V @Chan]: 100 mV/div
  6.002  TARGET       -p
  6.003  TSET         CPT = 100 mV/div
  6.004  SCPI         CHAN[V @Chan]:SCAL 100mV
  6.005  TARGET       -m
  6.006  SCPI         CHAN[V @Chan]:OFFS 0V
  6.007  9500         0.0mV                                             S
  6.008  SCPI         [D500]MEAS:VAV?[I]
  6.009  MATH         L[1] = MEM
  6.010  SCPI         CHAN[V @Chan]:OFFS 700mV
  6.011  9500         700.0mV                                           S
  6.012  SCPI         [D500]MEAS:VAV?[I]
  6.013  MATH         MEM = (MEM - L[1]) / 1E-3
  6.014  MEMCX  800   700.0mV        2/ 0.4/

  7.001  HEAD         -2 Channel [V @Chan]: 50 mV/div
  7.002  TARGET       -p
  7.003  TSET         CPT = 50 mV/div
  7.004  SCPI         CHAN[V @Chan]:SCAL 50mV
  7.005  TARGET       -m
  7.006  SCPI         CHAN[V @Chan]:OFFS 0V
  7.007  9500         0.0mV                                             S
  7.008  SCPI         [D500]MEAS:VAV?[I]
  7.009  MATH         L[1] = MEM
  7.010  SCPI         CHAN[V @Chan]:OFFS 350mV
  7.011  9500         350.0mV                                           S
  7.012  SCPI         [D500]MEAS:VAV?[I]
  7.013  MATH         MEM = (MEM - L[1]) / 1E-3
  7.014  MEMCX  400   350.0mV        2/ 0.4/

  8.001  HEAD         -2 Channel [V @Chan]: 20 mV/div
  8.002  TARGET       -p
  8.003  TSET         CPT = 20 mV/div
  8.004  SCPI         CHAN[V @Chan]:SCAL 20mV
  8.005  TARGET       -m
  8.006  SCPI         CHAN[V @Chan]:OFFS 0V
  8.007  9500         0.0mV                                             S
  8.008  SCPI         [D500]MEAS:VAV?[I]
  8.009  MATH         L[1] = MEM
  8.010  SCPI         CHAN[V @Chan]:OFFS 140mV
  8.011  9500         140.0mV                                           S
  8.012  SCPI         [D500]MEAS:VAV?[I]
  8.013  MATH         MEM = (MEM - L[1]) / 1E-3
  8.014  MEMCX  160   140.00mV       2/ 0.4/

  9.001  HEAD         -2 Channel [V @Chan]: 10 mV/div
  9.002  TARGET       -p
  9.003  TSET         CPT = 10 mV/div
  9.004  SCPI         CHAN[V @Chan]:SCAL 10mV
  9.005  TARGET       -m
  9.006  SCPI         CHAN[V @Chan]:OFFS 0V
  9.007  9500         0.00mV                                            S
  9.008  SCPI         [D500]MEAS:VAV?[I]
  9.009  MATH         L[1] = MEM
  9.010  SCPI         CHAN[V @Chan]:OFFS 70mV
  9.011  9500         70.00mV                                           S
  9.012  SCPI         [D500]MEAS:VAV?[I]
  9.013  MATH         MEM = (MEM - L[1]) / 1E-3
  9.014  MEMCX  80    70.00mV        2/ 0.4/

 10.001  HEAD         -2 Channel [V @Chan]: 5 mV/div
 10.002  TARGET       -p
 10.003  TSET         CPT = 5 mV/div
 10.004  SCPI         CHAN[V @Chan]:SCAL 5mV
 10.005  TARGET       -m
 10.006  SCPI         CHAN[V @Chan]:OFFS 0V
 10.007  9500         0.00mV                                            S
 10.008  SCPI         [D500]MEAS:VAV?[I]
 10.009  MATH         L[1] = MEM
 10.010  SCPI         CHAN[V @Chan]:OFFS 35mV
 10.011  9500         35.00mV                                           S
 10.012  SCPI         [D500]MEAS:VAV?[I]
 10.013  MATH         MEM = (MEM - L[1]) / 1E-3
 10.014  MEMCX  40    35.00mV        2/ 0.4/

 11.001  HEAD         -2 Channel [V @Chan]: 2 mV/div
 11.002  TARGET       -p
 11.003  TSET         CPT = 2 mV/div
 11.004  SCPI         CHAN[V @Chan]:SCAL 2mV
 11.005  TARGET       -m
 11.006  SCPI         CHAN[V @Chan]:OFFS 0V
 11.007  9500         0.000mV                                           S
 11.008  SCPI         [D500]MEAS:VAV?[I]
 11.009  MATH         L[1] = MEM
 11.010  SCPI         CHAN[V @Chan]:OFFS 14mV
 11.011  9500         14.000mV                                          S
 11.012  SCPI         [D500]MEAS:VAV?[I]
 11.013  MATH         MEM = (MEM - L[1]) / 1E-3

 11.014  IF           @Bandwidth == 100E+6
 11.015  TOL          0.384U
 11.016  ELSE
 11.017  TOL          0.768U
 11.018  ENDIF

 11.019  MEMCX  32    14.000mV       TOL

 12.001  IF           @Bandwidth == 100E+6
 12.002  HEAD         -2 Channel [V @Chan]: 1 mV/div
 12.003  TARGET       -p
 12.004  TSET         CPT = 1 mV/div
 12.005  SCPI         CHAN[V @Chan]:SCAL 1mV
 12.006  TARGET       -m
 12.007  SCPI         CHAN[V @Chan]:OFFS 0V
 12.008  9500         0.000mV                                           S
 12.009  SCPI         [D500]MEAS:VAV?[I]
 12.010  MATH         L[1] = MEM
 12.011  SCPI         CHAN[V @Chan]:OFFS 7mV
 12.012  9500         7.000mV                                           S
 12.013  SCPI         [D500]MEAS:VAV?[I]
 12.014  MATH         MEM = (MEM - L[1]) / 1E-3
 12.015  MEMCX  16    7.000mV        2/ 0.4/
 13.001  ENDIF

 13.002  9500         *                                                 S
 13.003  SCPI         *RST
 13.004  VSET         NTHROW = [V @NThrow]
 13.005  HEAD         -2
 13.006  HEAD
 13.007  END
